# Generated by Django 3.2.2 on 2022-02-04 16:38
import django.db.migrations.operations.special
import django.db.models.deletion
from django.db import migrations


def set_default_cardtypes(apps, schema_editor):
    EventSettingsStore = apps.get_model("pretixbase", "Event_SettingsStore")

    for ev in EventSettingsStore.objects.filter(key="payment_payone_method_creditcard"):
        b = []

        for cardtype in ["V", "M", "J", "A", "D", "O", "U", "P"]:
            b.append(
                EventSettingsStore(
                    object=ev.object,
                    key="payment_payone_cardtypes_{}".format(cardtype),
                    value=True,
                )
            )

        EventSettingsStore.objects.bulk_create(b, ignore_conflicts=True)


class Migration(migrations.Migration):
    dependencies = [
        ("pretix_payone", "0001_initial"),
    ]

    operations = [
        migrations.RunPython(
            code=set_default_cardtypes,
            reverse_code=django.db.migrations.operations.special.RunPython.noop,
        ),
    ]
